package common.tags;

public class TagDoubleList extends TagList<TagDouble> {
	protected byte getId() {
		return 14;
	}

	protected byte getType() {
		return 6;
	}

	protected TagList<TagDouble> createInstance() {
		return new TagDoubleList();
	}

	protected TagDouble getDefault() {
		return new TagDouble(0.0);
	}

	public double get(int index) {
		return this.getElem(index).getDouble();
	}

	public void add(double value) {
		this.addElem(new TagDouble(value));
	}
}
