package common.tags;

public class TagFloatList extends TagList<TagFloat> {
	protected byte getId() {
		return 13;
	}

	protected byte getType() {
		return 5;
	}

	protected TagList<TagFloat> createInstance() {
		return new TagFloatList();
	}

	protected TagFloat getDefault() {
		return new TagFloat(0.0f);
	}

	public float get(int index) {
		return this.getElem(index).getFloat();
	}

	public void add(float value) {
		this.addElem(new TagFloat(value));
	}
}
