package common.tags;

public class TagStringList extends TagList<TagString> {
	protected byte getId() {
		return 9;
	}

	protected byte getType() {
		return 8;
	}

	protected TagList<TagString> createInstance() {
		return new TagStringList();
	}

	protected TagString getDefault() {
		return new TagString("");
	}

	public String get(int index) {
		return this.getElem(index).getString();
	}

	public void add(String value) {
		this.addElem(new TagString(value));
	}
}
