package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.world.WorldServer;

public class CommandSeed extends Command {
	public CommandSeed() {
		super("seed");

		this.addWorld("dim", true);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, WorldServer world) {
		exec.logConsole("Startwert von %s: %d", world.dimension.getFormattedName(false), world.dimension.getSeed());
		return world.dimension.getSeed();
	}
}
